:root {
  --primary: #f0f0f3;
  --accent: #8ecae6;
  --text: #111111;
  --top-shadow: #f6f1f1;
  --bottom-shadow: #D1D9E6;
  --glow: #1F51FF;
  --card-width: 80vw;
  --card-margin: 10vw;
}

body.dark-mode {
  --primary: #1f1f1f;
  --accent: #00c896;
  --text: #ffffff;
  --top-shadow: #2A2A2A;
  --bottom-shadow: #0D0D0D;
  --glow: #39FF14;
}

.site-footer {
  background-color: var(--accent);
  padding: 50px 20px 20px;
  color: var(--primary);
}

.footer-content {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 30px;
  max-width: 1200px;
  margin: 0 auto;
}

.footer-column {
  flex: 1 1 200px;
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.footer-logo {
  font-size: 24px;
  font-weight: bold;
  color: #FFF;
}

.footer-description {
  font-size: 14px;
  color: var(--primary);
  line-height: 1.5;
}

.footer-column h4 {
  font-size: 16px;
  font-weight: bold;
  color: var(--text);
  margin-bottom: 5px;
}

.footer-column ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.footer-column ul li {
  display: flex;
  align-items: center;
  gap: 8px;
  margin-bottom: 8px;
  font-size: 14px;
}

.footer-column ul li .footer-icon {
  color: var(--text);
  height: 18px;
  width: 18px;
}

.footer-column ul li a {
  text-decoration: none;
  color: var(--primary);
  transition: color 0.3s;
}

.footer-column ul li a:hover {
  color: var(--text);
}

.footer-newsletter p {
  font-size: 13px;
  color: var(--primary);
}

.newsletter-form {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.newsletter-form input[type="email"] {
  padding: 10px 15px;
  border-radius: 30px;
  border: none;
  outline: none;
  font-size: 14px;
  width: 100%;
  box-shadow: inset 27px 27px 24px var(--bottom-shadow),
    inset -27px -27px 24px var(--top-shadow);
  color: var(--text);
  font-family: 'Outfit', sans-serif;
}

.newsletter-form button {
  background-color: var(--primary);
  color: var(--accent);
  border: none;
  padding: 10px 20px;
  border-radius: 30px;
  cursor: pointer;
  font-weight: 600;
  display: flex;
  align-items: center;
  gap: 6px;
  font-size: 14px;
  transition: all 0.3s ease-in-out;
  font-family: 'Outfit', sans-serif;
}

.newsletter-form button i {
  height: 18px;
  width: 18px;
}

.newsletter-form button:hover {
  background-color: var(--text);
}

.footer-bottom {
  text-align: center;
  padding-top: 30px;
  font-size: 13px;
  color: var(--primary);
  border-top: 1px solid var(--primary);
  margin-top: 40px;
}

footer .logo {
  display: flex;
  align-items: center;
  gap: 10px;
}

footer .logo img {
  height: 70px;
  width: 70px;
}

@media (max-width: 768px) {
  .footer-column ul li {
    display: flex;
    align-items: center;
    font-size: 1em;
  }

  .footer-column ul li .footer-icon {
    margin-bottom: 10px;
  }

  .footer-column ul li a {
    margin-bottom: 10px;
  }
  .footer-description {
    font-size: 15px;
  }
}